#
# spec file for package perl-MooX-Types-MooseLike
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooX-Types-MooseLike
Version:        0.29
Release:        lp152.3.2
%define cpan_name MooX-Types-MooseLike
Summary:        Some Moosish Types and a Type Builder
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooX-Types-MooseLike/
Source0:        http://www.cpan.org/authors/id/M/MA/MATEU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Runtime) >= 0.014
BuildRequires:  perl(Moo) >= 1.004002
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Module::Runtime) >= 0.014
Recommends:     perl(strictures) >= 2
%{perl_requires}

%description
This module provides a possibility to build your own set of Moose-like
types. These custom types can then be used to describe fields in Moo-based
classes.

See the MooX::Types::MooseLike::Base manpage for a list of available base
types. Its source also provides an example of how to build base types,
along with both parameterizable and non-parameterizable.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Jun 27 2015 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-MooX-Types-MooseLike/Changes
  0.29 - 2015-06-26
  - Add more Num tests (meAmdios)
  - Improve POD (meAmidos)
  - Add DISTNAME to MakeMaker args
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-MooX-Types-MooseLike/Changes
  0.28 - 2015-02-27
  - Refine POD (github.com/meAmidos)
  - Bump version of Moo and Module::Runtime pre-reqs
  - Modernize Makefile.PL
* Sun Sep 21 2014 coolo@suse.com
- updated to 0.27
  - Fix tests to not use package B (haarg)
  - Bugfix for recent versions of Moo changing error messages (skaufman)
* Thu Aug  1 2013 coolo@suse.com
- initial package 0.25
  * created by cpanspec 1.78.07
